import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as createColorClasses } from './theme.js';

const gascoDialogFooterMdCss = ":host{--background:transparent;--color:inherit;display:flex;justify-content:space-between;align-items:center;position:relative;background:var(--background);color:var(--color)}:host{margin-left:16px;margin-right:16px;margin-top:16px;margin-bottom:16px;justify-content:flex-end}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){:host{margin-left:unset;margin-right:unset;-webkit-margin-start:16px;margin-inline-start:16px;-webkit-margin-end:16px;margin-inline-end:16px}}::slotted(gasco-dialog-content:not(:first-child)){margin-top:8px}:host(.dialog-footer-left){justify-content:flex-start}::slotted(gasco-input){margin-top:1rem;text-align:left}";

const GascoDialogFooter$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /**
     * If `true`, the dialog footer will be translucent.
     */
    this.translucent = false;
    /**
     * If `true`, the dialog footer will be line.
     */
    this.line = false;
    /**
     * If `true`, the dialog footer will be line.
     */
    this.position = 'right';
  }
  render() {
    return (h(Host, { class: createColorClasses(null, {
        'gasco-inherit-color': true,
        'dialog-footer-line': this.line,
        [`dialog-footer-${this.position}`]: true,
        'dialog-footer-translucent': this.translucent,
      }) }, h("slot", null)));
  }
  static get style() { return gascoDialogFooterMdCss; }
}, [1, "gasco-dialog-footer", {
    "translucent": [4],
    "line": [4],
    "position": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-dialog-footer"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-dialog-footer":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoDialogFooter$1);
      }
      break;
  } });
}

const GascoDialogFooter = GascoDialogFooter$1;
const defineCustomElement = defineCustomElement$1;

export { GascoDialogFooter, defineCustomElement };
